/*  */
{
  "factory": {
    "id": "mongo-connector-in",
    "type": "entaxy.runtime.connector",
	"displayName": "MONGO :: IN",
    "parent": "connection-based-connector-in",
	"shortName": "mongo",
    "description": "MongoDB is a very popular NoSQL solution and the camel-mongodb component integrates Camel with MongoDB allowing you to interact with MongoDB collections both as a producer (performing operations on the collection) and as a consumer (consuming documents from a MongoDB collection). For more details see <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/mongodb-component.html\">Camel docs</a>",
    "label": "connector,mongodb",
    "isAbstract": false,
    "requires": ["mongo-connection"]
  },
  "entaxy.runtime.connector": {
  	"type": "mongodb",
  	"protocol": "mongodb"
  },
  "fields": {
		"entaxyOriginConnection": {
			"type": "entaxy.runtime.connection",
			"filter": "(&(type=entaxy.runtime.connection)(label=*mongodb*))"
		}    
  },
	"outputs": {
		"init": {
			"isDefault": true,
			"fields": {
				"entaxyOriginConnection": {},
				"@IMPORT": [{
					"sourceFactoryId": "mongo-connection",
					"location": "outputs.consumer.fields",
					"prefix": "",
					"filter": {
						"contained": [{
								"attribute": "##origin",
								"values": ["camel"]
							}
						]
					}
				}
				]
			},
			"config": {
				"configurable": true,
				"fieldsConfigurableByDefault": true,
				"configurableFields": {
					"includeNames":["camel_database","camel_collection"],
					"includePatterns":[]
				}
			}
		}
	}
}
